commit:     6d8433ee92fb00c06be8ed16fe57694e8f40b8fb
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 07:19:39 2022 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 07:43:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d8433ee

sys-libs/tdb: Bump to version 1.4.7

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/tdb/Manifest         |  1 +
 sys-libs/tdb/tdb-1.4.7.ebuild | 66 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/sys-libs/tdb/Manifest b/sys-libs/tdb/Manifest
index 9b21a02b58d8..2af458538812 100644
--- a/sys-libs/tdb/Manifest
+++ b/sys-libs/tdb/Manifest
@@ -1,2 +1,3 @@
 DIST tdb-1.4.5.tar.gz 729650 BLAKE2B 
5d8a226cf251268d70f68759fb792628559fa3b10e7843d1a53914ea24f0ceca61fe0c3f348d704ebc8df4c56fe2365690b585b1c96cf53d63ecae1960aca58a
 SHA512 
373b2ce5b2c68fbc28b7679f0e7531115b91ddc6a68b27acada39b995f66b508b19f24d712fc4388654199abd69857e53ebd435d1ed47e3a69ba85ff667fed56
 DIST tdb-1.4.6.tar.gz 736747 BLAKE2B 
53b989955993e970f3ca0874ade4d7404e180fedaac94d409753b209ea9dfa5136f2cdce4eb6d67a44b208731466eb0557c4dfcd9db20ea5806c5da1a3917e50
 SHA512 
8af549867fdf2e0daf073c26933ae0d475ea64efaca23d3d7b0eb20839376e817f4c0a0ba2504f60f9e27a2b35d3b6ae7c329d88a5c2c0408e98ad9dfde84712
+DIST tdb-1.4.7.tar.gz 741714 BLAKE2B 
ec2f991bbaa61d46f16b7a68a4e47a2f690cda261dd0e9fd9708e51ad64eefeb54ac8b1102cde6935916f840d3c89d7a2903f58175cceb78ea4ef889e82ddbc6
 SHA512 
2b5b20c299b60545943f106d854b6e0d4a559e16f08a7ed62fe57ee962bebc888c2e663bd5fef907aace05b316826fe8fbbf3f323b6d3427531e59ffe47d48e4

diff --git a/sys-libs/tdb/tdb-1.4.7.ebuild b/sys-libs/tdb/tdb-1.4.7.ebuild
new file mode 100644
index 000000000000..5a2043ce9f40
--- /dev/null
+++ b/sys-libs/tdb/tdb-1.4.7.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+inherit waf-utils multilib-minimal python-single-r1
+
+DESCRIPTION="Simple database API"
+HOMEPAGE="https://tdb.samba.org/";
+SRC_URI="https://samba.org/ftp/tdb/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
+
+RDEPEND="
+       dev-libs/libbsd[${MULTILIB_USEDEP}]
+       python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+       virtual/libcrypt"
+BDEPEND="${PYTHON_DEPS}
+       app-text/docbook-xml-dtd:4.2"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+       export PYTHONHASHSEED=1
+}
+
+src_prepare() {
+       default
+       python_fix_shebang .
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local extra_opts=()
+       if ! multilib_is_native_abi || ! use python ; then
+               extra_opts+=( --disable-python )
+       fi
+
+       waf-utils_src_configure "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+       # need to avoid parallel building, this looks like the sanest way with 
waf-utils/multiprocessing eclasses
+       unset MAKEOPTS
+       waf-utils_src_compile
+}
+
+multilib_src_test() {
+       # the default src_test runs 'make test' and 'make check', letting
+       # the tests fail occasionally (reason: unknown)
+       emake check
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+       use python && python_optimize
+}

Reply via email to